intervals-0.7.1: Interval Arithmetic

Safe Haskell | Safe
Language | Haskell98

Numeric.Interval.Exception

# Documentation

data EmptyInterval Source

Constructors

EmptyInterval |

Instances

Eq EmptyInterval Source |
Data EmptyInterval Source |
Ord EmptyInterval Source |
Show EmptyInterval Source |
Exception EmptyInterval Source |

data AmbiguousComparison Source

Constructors

AmbiguousComparison |

Instances

Eq AmbiguousComparison Source |
Data AmbiguousComparison Source |
Ord AmbiguousComparison Source |
Show AmbiguousComparison Source |
Exception AmbiguousComparison Source |